Subject: Re: bug#6922: 23.1; Setting read-only property in an overlay has no effect

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jan 2016 19:33:46 +0200

> From: Richard Stallman <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> Date: Wed, 20 Jan 2016 22:02:19 -0500
> 
> I have not been looking at this issue.  Do I need to?

There was an old discussion of this

  http://lists.gnu.org/archive/html/emacs-devel/2008-01/msg01598.html

In that discussion, you said:

  It is no accident that read-only works only as a text property.
  It is tested for in textprop.c only as a text property.

  I am not sure that a read-only property on an overlay makes much sense.
  It is a strange thing to do.  So I will fix the documentation.

I'm asking if you still think the same.  If so, perhaps you could try
explaining why you do (in that old discussion, you said it was hard
for you to put this into words).

Thanks.